Subject: [Gen-art] RE: Gen-ART review of draft-ejzak-sipping-p-em-auth-03.txt

From: "Ejzak, Richard P \(Richard\)" <[email-masked]>
Date: Sun, 3 Jun 2007 18:52:38 -0500

David, Alfred, Jon,
Thank you all for your careful review of the p-em draft.  I have done my
best to resolve all of the comments received.  Please review the new
version to check that I have made the changes to your satisfaction.  I
include the source document with change marks for your convenience.  I
will generate and submit the text version 04 as soon as I am sure that
these changes are satisfactory.

BR, Richard

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Sunday, May 27, 2007 8:53 PM
> To: Ejzak, Richard P (Richard); [email-masked]
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Subject: RE: Gen-ART review of draft-ejzak-sipping-p-em-auth-03.txt
> 
> Forgot to run idnits on this before sending the review ...
> 
> idnits 2.04.07 complains that there is no expiration date 
> (first and last page) or intended status (first page).
> 
> FYI,
> --David
> 
> > -----Original Message-----
> > From: Black, David
> > Sent: Sunday, May 27, 2007 8:56 PM
> > To: [email-masked]'; [email-masked]
> > Cc: Black, David; Jon Peterson; 'Gonzalo Camarillo'; 
> [email-masked]
> > Subject: Gen-ART review of draft-ejzak-sipping-p-em-auth-03.txt
> > 
> > I have been selected as the General Area Review Team (Gen-ART) 
> > reviewer for this draft (for background on Gen-ART, please see 
> > http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
> > 
> > Please resolve these comments along with any other Last 
> Call comments 
> > you may receive.
> > 
> > 
> > Document: draft-ejzak-sipping-p-em-auth-03.txt
> > Reviewer: David L. Black
> > Review Date: 27 May 2007
> > IETF LC End Date: 28 May 2007
> > IESG Telechat date: unknown
> > 
> > Summary:
> > This draft is basically ready for publication, but has nits that 
> > should be fixed before publication.
> > 
> > Comments:
> > 
> > The draft is in generally good shape.  Most of these comments are 
> > minor, with the exception of the confusion in Section 4 
> about whether 
> > the motivating problem scenario is SIP-to-SIP vs. SIP-to-PSTN vs. 
> > SIP-to-SIP-to-PSTN (I think it's the latter, but I'm not sure).
> > 
> > 1.  Introduction
> > 
> > Something is wrong with this text describing the use of the 
> > P-Early-Media header:
> > 
> > 	... to authorize the 
> >    cut-through of backward and/or forward early media. The P-Early-
> >    Media header is intended for use in a SIP network, ...
> >    that prohibits the exchange of early media
> > 
> > "prohibits" reads as an absolute prohibition.  It should be 
> changed to 
> > "otherwise prohibits", "prohibits by default", or something 
> similar to 
> > avoid the implication that the prohibition is absolute.
> > 
> > 2. Applicability Statement
> > 
> > Please explain or cite a reference for the term "parallel forking".
> > 
> > 3. Conventions and Acronyms
> > 
> > Some of the acronym expansions ought to cite sources for 
> the concept 
> > involved (e.g., ABNF is specified by RFC 4234).
> > 
> > 4. Background on early media authorization
> > 
> > This section (up to the start of 4.1) seems to be somewhat confused 
> > about whether the problem being described is a SIP-to-SIP 
> problem vs. 
> > a SIP-to-PSTN problem.  Most of the text is about the latter, so I 
> > suggest focusing on that and leaving the SIP-to-SIP material to the 
> > end of the section.  OTOH, it may be that the actual 
> problem structure 
> > is SIP-to-SIP-to-PSTN, in which case that is not at all clear from 
> > this text, and a diagram may be in order for clarity of exposition.
> > 
> > 9. Formal syntax
> > 
> > Add a note that not all combinations of multiple em-param 
> elements are 
> > (semantically) valid.
> > 
> > 10. Security Considerations
> > 
> > Second paragraph of Section 2 (not suitable for inter-domain use or 
> > the Internet at large) should be repeated or referred to here.
> > 
> > This section should be written with IMS as an example only.  The 
> > sentence starting "In an IMS ..." and the sentence immediately 
> > following it need some minor editing to achieve this.
> > 
> > Thanks,
> > --David
> > ----------------------------------------------------
> > David L. Black, Senior Technologist
> > EMC Corporation, 176 South St., Hopkinton, MA  01748
> > +1 (508) 293-7953             FAX: +1 (508) 293-7786
> > [email-masked]        Mobile: +1 (978) 394-7754
> > ----------------------------------------------------
> > 
> > 
> 
_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: [email-masked]
Date: Mon, 4 Jun 2007 23:23:51 -0400

Richard,

Most of this is good, and the rewrite of Section 4 is much clearer
- now I finally understand what was bothering me about the text
in Section 1:

>    that prohibits the exchange of early media [between end users]
> 
> "prohibits" reads as an absolute prohibition.  It should be changed to

> "otherwise prohibits", "prohibits by default", or something similar to

> avoid the implication that the prohibition is absolute.

The new text in your revised draft is:

	... to authorize the cut-through of backward and/or forward
	early media.  The P-Early-Media header field is intended for
	use in a SIP network, such as a 3GPP IMS [13][14], that has
	the following characteristics: it is intended to prohibit the
	exchange of early media between end users; 

Having read your new explanation in Section 4, I now have a better
understanding of what's going on (I hope).  I had initially read
"authorize" as creating an exception to the "prohibit" in the above
text, whereas it's actually a means of enforcing the prohibition
policy between end users.

To clarify this, after "authorize the cut-through of backward and/or
forward early media", please add the words "when permitted by the
early media policies of the networks involved" and then change
"it is intended to prohibit the exchange of early media between
end users" to "its early media policy prohibits the exchange
of early media between SIP end users".  I'd add the SIP acronym
here to help set up the SIP vs. PSTN contrast in Section 4, as
PSTN networks also have end users.

Everything else is fine.

Thanks,
--David

> From: Ejzak, Richard P (Richard) [mailto:[email-masked]] 
> Sent: Sunday, June 03, 2007 7:53 PM
> To: Black, David; [email-masked]; Alfred HNnes
> > > Please resolve these comments along with any other Last Call
comments 
> > > minor, with the exception of the confusion in Section 4 about
whether 
changed to 
similar to 
> > > Some of the acronym expansions ought to cite sources for the
concept 
> > > about whether the problem being described is a SIP-to-SIP problem
vs. 

> > > end of the section.  OTOH, it may be that the actual problem
structure 

> > > Add a note that not all combinations of multiple em-param elements
are

---

From: "Ejzak, Richard P \(Richard\)" <[email-masked]>
Date: Tue, 5 Jun 2007 10:30:59 -0500

David,
I incorporated your changes except one, and made some other minor
changes.

I did not make your last change ("SIP end users" rather than just "end
users") since the change would not address policy regarding exchange of
early media between a SIP UAS end user and a PSTN end user, which would
otherwise be possible.  I hope this is acceptable. 

I include both a doc version with change marks and a txt version, both
dated tomorrow.  If the changes are acceptable, the text version should
be final by deleting "-d2" from the file name.

Thanks and BR, Richard

> Sent: Monday, June 04, 2007 10:24 PM
> To: Ejzak, Richard P (Richard); [email-masked]; [email-masked]
> - now I finally understand what was bothering me about the 
> text in Section 1:
> 
> > 1.  Introduction
> > 
> Having read your new explanation in Section 4, I now have a 
> better understanding of what's going on (I hope).  I had 
> initially read "authorize" as creating an exception to the 
> "prohibit" in the above text, whereas it's actually a means 
> of enforcing the prohibition policy between end users.
> 
> To clarify this, after "authorize the cut-through of backward 
> and/or forward early media", please add the words "when 
> permitted by the early media policies of the networks 
> involved" and then change "it is intended to prohibit the 
> exchange of early media between end users" to "its early 
> media policy prohibits the exchange of early media between 
> SIP end users".  I'd add the SIP acronym here to help set up 
> the SIP vs. PSTN contrast in Section 4, as PSTN networks also 
> have end users.
> 
> Everything else is fine.
> 
> Thanks,
> --David
> > Thank you all for your careful review of the p-em draft.  I 
> have done
> my
> (first and 
> > > last page) or intended status (first page).
> > > 
> > > FYI,
> > > --David
> > > 
> > > > David L. Black, Senior Technologist EMC Corporation, 176 South 
> > > > St., Hopkinton, MA  01748

---

From: [email-masked]
Date: Tue, 5 Jun 2007 11:39:38 -0400

This is acceptable, thanks, --David

> Sent: Tuesday, June 05, 2007 11:31 AM
> To: Black, David; [email-masked]; [email-masked]
> > > > > suggest focusing on that and leaving the SIP-to-SIP 
> material to
> > the 
> > > > > Second paragraph of Section 2 (not suitable for 
> inter-domain use
> > or

---

From: Alfred Hönes <[email-masked]>
Date: Fri, 8 Jun 2007 08:27:33 +0200 (MESZ)

Richard,
thanks for the notifications of progress.

> I did not make your last change ("SIP end users" rather than
> just "end users") since the change would not address policy
> regarding exchange of early media between a SIP UAS end user
> and a PSTN end user, which would otherwise be possible.
> I hope this is acceptable. 
> 
> I include both a doc version with change marks and a txt
> version, both dated tomorrow.  If the changes are acceptable,
> the text version should be final by deleting "-d2" from the
> file name.
> 
> Thanks and BR, Richard

Now I have in fact found the time to take a closer look at the
-04-d2 version earlier than expected.

Thanks for all the improvements.  It's really much more clear and
understandable now, and using good, standards-conformant language.

In only have one single proposal for clarification.

It's a bit unfortunate that "180 Ringing" is such impressive,
but in fact is a ringing indication fed back to the caller,
(traditionally called *ringback* in PSTN parlance), but that
can't be changed any more, naturally.

Therefore, in the first sentence of section 4.1, please replace

   ... such as ringing,
--
   ... such as ringing feedback ("ringback"),

(or similar).
Later places in the text (Sections 6 ff.) already contain similar
language with "180 Ringing".

I have no more other technical or editorial objections or change
recommendations and recommend to accept the draft now for 
publication as an Informational RFC.

Kind Regards,
  Alfred.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: "Ejzak, Richard P \(Richard\)" <[email-masked]>
Date: Mon, 11 Jun 2007 16:50:58 -0500

Please note the attached draft 04 of draft-ejzak-sipping-p-em-auth.
This document reflects all changes requested during last call by Jon
Peterson, the responsible AD.  The latest comments were from Jon, David
and Alfred.  There are some additional minor corrections included by me.

Thank you for your assistance.

Richard Ejzak
Alcatel-Lucent

---

From: [email-masked]
Date: Fri, 15 Jun 2007 09:41:56 -0400

Document: draft-ejzak-sipping-p-em-auth-04.txt
Reviewer: David L. Black
Review Date: 15 June 2007
IESG Telechat date: 21 June 2007

Summary:
This draft is ready for publication as an Informational RFC.

Comments:

The -04 version of this draft addresses all the items noted
in the Gen-ART review of the -03 version:

http://www.alvestrand.no/ietf/gen/reviews/draft-ejzak-sipping-p-em-auth-
03-black.txt

Many thanks to the author for dealing with the Gen-Art review
in a prompt and effective fashion,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------